* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  align-items: center;
  background: white;
  display: flex;
  flex-direction: column;
  font-family: sans-serif;
  padding: 25px;
  width: 100%;
}

h1 {
  text-transform: uppercase;
}

.game-board {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  grid-template-rows: repeat(7, 1fr);
  height: 70vmin;
  margin: 10px 0 25px;
  width: 70vmin;
}

.cell {
  align-items: center;
  background: #4370f1;
  display: flex;
  height: 10vmin;
  justify-content: center;
  width: 10vmin;
}

.cell::after {
  background: white;
  border-radius: 50%;
  border: 3px solid black;
  content: "";
  cursor: pointer;
  height: 7.5vmin;
  width: 7.5vmin;
}

.cell:not(.row-top).red::after {
  background: red;
}
.cell:not(.row-top).yellow::after {
  background: yellow;
}

.cell:not(.row-top).red.win {
  background: red;
}

.cell:not(.row-top).yellow.win {
  background: yellow;
}

.cell.row-top {
  background: white;
}

.cell.row-top::after {
  border: none;
}

.cell.row-top.red::after {
  background: red;
  border: 3px solid black;
}

.cell.row-top.yellow::after {
  background: yellow;
  border: 3px solid black;
}

.footer {
  align-items: center;
  display: flex;
  justify-content: center;
  width: 70vw;
}

.reset {
  background-color: #4370f1;
  border-radius: 5px;
  border: none;
  color: white;
  cursor: pointer;
  display: block;
  font-size: 16px;
  font-weight: bold;
  padding: 15px 30px;
  text-transform: uppercase;
}

.reset:hover {
  background-color: #1d50f1;
}

.reset:active {
  background-color: #4d7ef1;
}

.status {
  display: block;
  font-size: 20px;
}

/* Util CSS */
.left-border {
  border-left: 3px solid black;
}

.top-border {
  border-top: 3px solid black;
}

.right-border {
  border-right: 3px solid black;
}

.bottom-border {
  border-bottom: 3px solid black;
}

.left-border.top-border {
  border-radius: 10px 0 0 0;
}

.right-border.top-border {
  border-radius: 0 10px 0 0;
}

.right-border.bottom-border {
  border-radius: 0 0 10px 0;
}

.left-border.bottom-border {
  border-radius: 0 0 0 10px;
}
